use crate::vm::platform::std_lib::core::dm_print;
use crate::vm::{DmVirtualMachine, PlatformFunction};
use std::collections::HashMap;

mod std_lib;

pub struct PlatformCallFrame {
    args: Vec<u64>,
    arg_types: Vec<crate::vm::types::DmType>,
    vm: DmVirtualMachine,
}

pub fn init_platform_functions() -> HashMap<String, PlatformFunction> {
    let mut fns: HashMap<String, PlatformFunction> = HashMap::new();
    fns.insert(String::from("std::core::print"), dm_print);
    fns
}
